package com.agilex.vamf.missionhealth.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.Collection;

/** A collection of {@link com.agilex.vamf.missionhealth.domain.MissionHealthStanding} objects */
@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "missionHealthStandings", namespace = Namespace.MissionHealth)
public class MissionHealthStandings extends DomainTransferObjectCollection<MissionHealthStanding> {

	public MissionHealthStandings() {}

	public MissionHealthStandings(MissionHealthStanding... missionHealthStandings) {
		for(int i = 0; i < missionHealthStandings.length; i++) {
			this.add(missionHealthStandings[i]);
		}
	}
	@XmlElement(namespace = Namespace.MissionHealth)
	public Collection<MissionHealthStanding> getMissionHealthStanding() {
		return this;
	}
	
}
